Create page
import requests
url = "https://api.datagrid.com/v1/pages"
payload = {
"name": "<string>",
"parent": {
"type": "page",
"page_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', parent: {type: 'page', page_id: '<string>'}})
};
fetch('https://api.datagrid.com/v1/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.datagrid.com/v1/pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parent": {
"type": "page",
"page_id": "<string>"
}
}
'{
"object": "page",
"id": "<string>",
"name": "<string>",
"teamspace_id": "<string>",
"scope": "teamspace",
"parent": {
"type": "page",
"page_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Pages
Create page
Create a new page
POST
/
pages
Create page
import requests
url = "https://api.datagrid.com/v1/pages"
payload = {
"name": "<string>",
"parent": {
"type": "page",
"page_id": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', parent: {type: 'page', page_id: '<string>'}})
};
fetch('https://api.datagrid.com/v1/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.datagrid.com/v1/pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parent": {
"type": "page",
"page_id": "<string>"
}
}
'{
"object": "page",
"id": "<string>",
"name": "<string>",
"teamspace_id": "<string>",
"scope": "teamspace",
"parent": {
"type": "page",
"page_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created page
The page object represents a page that can contain knowledge and other pages in a hierarchical structure.
The object type, always 'page'
Available options:
page Unique identifier for the page (document resource ID)
The name of the page
The ID of the teamspace that owns this page.
The visibility scope of the knowledge. 'teamspace' means visible only within the owning teamspace. 'organization' means visible across all teamspaces in the same organization.
Available options:
teamspace, organization The parent page reference, indicating where this page is nested
- Option 1
- Option 2
Show child attributes
Show child attributes
The ISO string for when the page was created